মূল বিষয়ে যান
হোম সকল টুলস
সিকিউরিটি ও ক্রিপ্টো সম্পূর্ণ ব্রাউজারে চালিত

TOTP / HOTP অথেন্টিকেটর কোড জেনারেটর

২-ফ্যাক্টর অথেনটিকেশন (2FA) সিক্রেট কি থেকে লাইভ ৬-ডিজিট ওটিপি কোড এবং কাউন্টডাউন টাইমার দেখুন।

Current 6-Digit TOTP Code
Refreshes in

1 TOTP / HOTP অথেন্টিকেটর কোড জেনারেটর কীভাবে ব্যবহার করবেন

1

আপনার Base32 সিক্রেট কি লিখুন (অথবা 'Sample Key' বাটনে ক্লিক করুন)।

2

মুহূর্তেই বর্তমান সময়ের ৬-ডিজিট 2FA কোড তৈরি হবে।

3

৩০ সেকেন্ডের কাউন্টডাউন টাইমারটি দেখুন যা কোডটি রিফ্রেশ হওয়ার সময় নির্দেশ করে।

4

'Copy Code' বাটনে ক্লিক করে লগইন ভেরিফিকেশনে ব্যবহার করুন।

2 প্রযুক্তিগত বৈশিষ্ট্যসমূহ

বৈশিষ্ট্য / প্যারামিটার মান ও নির্দেশিকা
RFC স্ট্যান্ডার্ড RFC 6238 (TOTP) ও RFC 4226 (HOTP)
এনকোডিং RFC 4648 Base32
টাইম উইন্ডো ৩০ সেকেন্ড (HMAC-SHA1)
প্রাইভেসি ১০০% লোকাল ব্রাউজার ক্যালকুলেশন

গোপনীয়তা ও সীমাবদ্ধতা

১০০% ক্লায়েন্ট-সাইড প্রাইভেসি গ্যারান্টি

আপনার সমস্ত হিসাব-নিকাশ সম্পূর্ণভাবে আপনার ব্রাউজারের মেমোরিতে সম্পন্ন হয়। কোনো ডেটা আমাদের সার্ভারে পাঠানো বা সংরক্ষণ করা হয় না।

4 সচরাচর জিজ্ঞাসিত প্রশ্নাবলী (FAQ)

Q. এটি কি গুগল অথেন্টিকেটরের সাথে মিলবে?

হ্যাঁ। গুগল অথেন্টিকেটর ও মাইক্রোসফট অথেন্টিকেটর উভয়েই RFC 6238 TOTP স্ট্যান্ডার্ড অনুসরণ করে, তাই একই কোড পাওয়া যাবে।

Q. ডিভাইসের ঘড়ির সময় ভুল থাকলে কি সমস্যা হবে?

হ্যাঁ, TOTP সঠিক সময়ের ওপর নির্ভরশীল। ঘড়ির সময় ৩০ সেকেন্ডের বেশি এদিক-ওদিক থাকলে কোড ম্যাচ করবে না।